Bug 894058 - Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
Summary: Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configu...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 15:57 UTC by John Florian
Modified: 2014-02-17 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-18 19:53:21 UTC
Type: Bug


Attachments (Terms of Use)

Description John Florian 2013-01-10 15:57:47 UTC
Description of problem:
I see this warning message whenever I start gvim.

Version-Release number of selected component (if applicable):
vim-X11-7.3.712-1.fc18.x86_64
fontconfig-2.10.2-1.fc18.x86_64

How reproducible:
always

Comment 1 John Florian 2013-01-18 19:53:21 UTC
I was able to resolve this issue by doing the following:

mkdir ~/.config/fontconfig
mv ~/.fonts.conf ~/.config/fontconfig/

Comment 2 jiri vanek 2013-07-20 13:41:25 UTC
I'm wondering  - but fontconfig should handle the transition from ~ to .config XDG specification.  (to value of $XDG_CONFIG_HOM or ~/.config)

http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html

Comment 3 Benny 2014-02-17 16:21:28 UTC
Present in Fedora 19. 

This also effects this cairo example: 

#include <cairo/cairo.h>

int
main (int argc, char *argv[])
{
        cairo_surface_t *surface=cairo_image_surface_create (CAIRO_FORMAT_ARGB32, 240, 80);
        cairo_t *cr=cairo_create (surface);
        cairo_select_font_face(cr,"arial",CAIRO_FONT_SLANT_NORMAL,CAIRO_FONT_WEIGHT_BOLD);
        cairo_set_font_size(cr,32.0);
        cairo_set_source_rgb(cr,0.0,0.0,1.0);
        cairo_move_to (cr,10.0,50.0);
        cairo_show_text (cr,"Hello, world");
        cairo_destroy(cr);
        cairo_surface_write_to_png(surface,"hello.png");
        cairo_surface_destroy(surface);
        return 0;
}

Comment 4 Benny 2014-02-17 16:25:08 UTC
Seems to work in Fedora 20.


Note You need to log in before you can comment on or make changes to this bug.